# Class FormParameter

java.lang.Object
com.meterware.httpunit.FormParameter

public class FormParameter extends Object
Represents the aggregate of all form controls with a particular name. This permits us to abstract setting values so that changing a control type does not break a test.

Author:
  Russell Gold

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`class`
`FormParameter.UnusedParameterValueException`
This exception is thrown on an attempt to set a parameter to a value not permitted to it by the form.

## Constructor Summary

Constructors
Constructor
Description
`FormParameter()`

## Method Summary

Modifier and Type
Method
Description
`FormControl`
`getControl()`
get the control for this form Parameter (assuming it has only one as for a text control
`FormControl[]`
`getControls()`
get the controls for this form Parameter
`boolean`
`isHiddenParameter()`
`void`
`setValue(boolean state)`
`void`
`setValue(String value, boolean state)`
`void`
`toggleCheckbox()`
`void`
`toggleCheckbox(String value)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FormParameter

public FormParameter()

## Method Details

### getControls

public FormControl[] getControls()
get the controls for this form Parameter

Returns:
  the controls

### getControl

public FormControl getControl()
get the control for this form Parameter (assuming it has only one as for a text control

Returns:
  the controls

### toggleCheckbox

public void toggleCheckbox()

### toggleCheckbox

public void toggleCheckbox(String value)

### setValue

public void setValue(boolean state)

### setValue

public void setValue(String value, boolean state)

### isHiddenParameter

public boolean isHiddenParameter()